unit wMDIClientWindow0;

{ Feel free to use this unit as you want.
  First developped by Bernard Gisin
  This unit uses object programming to simplify the developpment
  of programs.

  This is the client of an MDI main window.
  The object does nearly nothing. Maybe it is useless
----------------------------------}

// To tell FreePascal that the application is a Graphical User Interface
// i.e. is running in windows, not in text mode.
{$APPTYPE GUI}

INTERFACE
//"""""""

uses wWindowBase0, wGlobals2, windows;

type
  PMDIClientWindow0 = ^TMDIClientWindow0;
  TMDIClientWindow0 = object(TWindowBase)
  //"""""""""""""""""""""""""""""""""""""
  // Handle on the window. (=0 when not created)
//  hWin     : HWND;  // Handle on the window, got from TWindowBase
//  hParent : HWND;  // Handle on the parent, got from TWindowBase
//  poParent: PWindowBase0;  // Pointer on the parent, got from TWindowBase

  constructor Init(poParentW:PWindowBase0);
  // Call Init; at the beggining of a new Init constructor.

//  destructor  Done; virtual;
  // Call Done; at the end of a new destructor.
  end; // TMDIClientWindow0 = object(TWindowBase)
  TMDIClientWindow =  TMDIClientWindow0;
  PMDIClientWindow = ^TMDIClientWindow;

IMPLEMENTATION
//""""""""""""

uses wDebug0;

var glnNotUsed : integer; // To avoid an error in the DevPascal 1.9 environment

//***************************************************
// TMDIClientWindow0 = object(TWindowBase)
//***************************************************

constructor TMDIClientWindow0.Init(poParentW:PWindowBase0);
//=========================================================
begin
inherited Init(poParentW);

wWindowType:=GGLCTE_CLIENT_MDI_WINDOW;

// hWin :=  will be set in the creation in the wMDIWindow.pp
end;  // TMDIClientWindow0.Init

{destructor TMDIClientWindow0.Done;
//================================
begin
inherited Done;
end;  // TMDIClientWindow0.Done}

end.  // unit wMDIClientWindow0;

